### Method

# Vips Image get_history

#### Declaration [src]

    const char*
    vips_image_get_history (
      VipsImage* image
    )

#### Description [src]

This function reads the image history as a C string. The string is owned by VIPS and must not be freed.

VIPS tracks the history of each image, that is, the sequence of operations that generated that image. Applications built on VIPS need to call `vips_image_history_printf()` for each action they perform, setting the command-line equivalent for the action.

See also

`vips_image_history_printf()`.

#### Return value

Type: `const char*`

The history of `image` as a C string. Do not free!

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.